<?php
// @codingStandardsIgnoreStart
class ControllerModuleRoistat extends Controller {
	private $error = array(); 
	
	public function index() {   
	
		// Загружаем локализацию
		$this->load->language('module/roistat');
	
		// Загружаем модель с настройками и локализацией
		$this->load->model('setting/setting');
		$this->load->model('module/roistat');
		
		// Устанавливаем заголовок
		$this->document->setTitle($this->language->get('heading_title'));
				
		// Обработка формы
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
		
			$this->model_module_roistat->projectId($this->request->post['project_id']);
			$this->model_setting_setting->editSetting('roistat', array(
				'project_id' => $this->request->post['project_id'],
				'username'   => $this->request->post['username'],
				'password'   => $this->request->post['password'],
			));
			
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		} else {
			$setting = $this->model_setting_setting->getSetting('roistat');
			$this->data['project_id_value'] = (isset($setting['project_id'])) ? $setting['project_id'] : null;
			$this->data['username_value'] = (isset($setting['username'])) ? $setting['username'] : null;
			$this->data['password_value'] = (isset($setting['password'])) ? $setting['password'] : null;
		}
		
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_content_top'] = $this->language->get('text_content_top');
		$this->data['text_content_bottom'] = $this->language->get('text_content_bottom');		
		$this->data['text_column_left'] = $this->language->get('text_column_left');
		$this->data['text_column_right'] = $this->language->get('text_column_right');
		
		$this->data['entry_description'] = $this->language->get('entry_description');
		$this->data['entry_layout'] = $this->language->get('entry_layout');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['button_add_module'] = $this->language->get('button_add_module');
		$this->data['button_remove'] = $this->language->get('button_remove');
		
 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

		// Готовим хлебные крошки
  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('module/roistat', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('module/roistat', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['token'] = $this->session->data['token'];
		
		// Вывод настроек в форму 
		$this->data['modules'] = array();
		
		// Базовый шаблон с шапкой и футером
		$this->template = 'module/roistat.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);

		$this->response->setOutput($this->render());
	}
	
	/**
	 * Функция валидации формы с настройками
	 **/
	private function validate() {
	
		return TRUE;
	}
	
	/**
	 * Функция установки
	 **/
	public function install() {
		$this->load->model('module/roistat');
		$this->model_module_roistat->install();
		
		$this->load->model('setting/setting');
		$this->model_setting_setting->editSetting('roistat', array(
			'project_id' => '',
			'username'   => '',
			'password'   => '',
		));
	}
	
	/**
	 * Функция удаления
	 **/
	public function uninstall() {
		$this->load->model('module/roistat');
		$this->model_module_roistat->uninstall();
	}
}
// @codingStandardsIgnoreEnd